<div class="container">
    <div class="row">
     <!-- card de toutes les infos du joueur-->
        <div class="card d-flex flex-row gap-2 shadow mb-3 padding mt-3" style="width: 100rem; border: none;">
            <div class="card" style="width: 25rem; border: none;">
                <img src="../assets/images/photoJoueur/portrait1.jpeg" alt="Photo du joueur" style="border-radius: 5%;">
            </div>
            <!-- card qui contient la photo, les infos et le logo du club-->
            <div class="card" style="width: 50rem; border: none;">
                <!-- Card du drapeau et du nom-->
                <div class="card d-flex flex-column" style="border: none;" >
                    <div class="card title flex-row" style="border: none;">
                        <img src="{{getDrapeau(joueur)}}" alt="Drapeau de la nationalité du joueur" class="col-sm-1" style="border-radius: 5%;">
                        <h1>{{joueur.prenom}} {{[joueur.nom | uppercase]}}</h1>
                    </div>                        
                 </div>
                 <!-- Card des informations sur le joueur-->

                 <form [formGroup]="formJoueur">
                <div class="card-body">
                    <div class="mb-3 row">
                        <input type="hidden" formControlName="id" [(ngModel)]="joueur.id">
                        <label class="col-sm-3 col-form-label">Nom</label>                   
                        <input type="text" formControlName="nom" class="col-sm-3 col-form-label"  
                        [ngClass]="{'is-valid': !isFieldValid('nom'), 'is-invalid': isFieldValid('nom')}" >
                    </div>  
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">Prénom</label>
                        <input type="string" formControlName="prenom" class="col-sm-3 col-form-label">
                    </div>
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">Nom Court</label>
                        <input type="string" formControlName="nomCourt" class="col-sm-3 col-form-label" >
                    </div>
                    <div class="mb-3 row">
                        <label class="col-sm-3 text-rightcol-form-label">Age</label>
                        <input type="number" formControlName="age" class="col-sm-3 col-form-label"
                                [ngClass]="{'is-valid': !isFieldValid('age'), 'is-invalid': isFieldValid('age')}" >
                    </div>
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">Nationalité</label>
                        <input type="string" formControlName="nationalite" class="col-sm-3 col-form-label">
                    </div>
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">Equipe</label>
                        <!--- DROP DOWN MENU EQUIPE  -->
                        <div class="dropdown w-50">
                            <button class="btn btn-secondary dropdown-toggle bouton-espacement" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                {{joueur!.equipe.nomLong}}
                            </button>
                            <ul class="dropdown-menu dropdown-menu-dark bouton-espacement">
                                <li *ngFor="let equipe of equipeList" (click)="joueur.equipe = equipe">
                                    <a class="dropdown-item">{{equipe.nomLong}}</a>
                                </li>
                            </ul>
                        </div>
                        <!---Input caché pour récupérer la donnée de l'équipe par le NgModel-->
                        <input type="hidden" formControlName="equipe" [(ngModel)]="joueur.equipe">
                    </div>
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">Numéro</label>
                        <input type="number" formControlName="numero" class="col-sm-3 col-form-label">
                    </div>
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">Position</label>
                         <!--- DROP DOWN MENU CHOIX DE LA POSITION-->
                        <div class="dropdown w-50">
                            <button class="btn btn-secondary dropdown-toggle bouton-espacement" type="button" data-bs-toggle="dropdown" aria-expanded="false">{{choixPosition|| 'position'}}
                            </button>
                            <ul class="dropdown-menu dropdown-menu-dark bouton-espacement">
                                <li><a class="dropdown-item" (click)="choixPosition='Gardien'">Gardien</a></li>
                                <li><a class="dropdown-item" (click)="choixPosition='Défenseur'">Défenseur</a></li>
                                <li><a class="dropdown-item" (click)="choixPosition='Milieu de Terrain'" >Milieu de Terrain</a></li>
                                <li><a class="dropdown-item" (click)="choixPosition='Attaquant' ">Attaquant</a></li>    
                            </ul>  
                        </div>
                        <input type="hidden" formControlName="position" [(ngModel)]="choixPosition">
                    </div>
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">taille</label>
                        <input type="number"  formControlName="taille" class="col-sm-3 col-form-label">
                    </div>          
                      
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">Poids</label>
                        <input type="number"  formControlName="poids" class="col-sm-3 col-form-label">
                    </div>
        </div> 
    </form>
    </div>
    <!-- card du logo du club du joueur-->
    <div class="card align-items-center" style="width: 10rem; border: none;">
        <!-- <img src="../assets/images/equipeLogo/glasgowRangers.png" alt="Photo du club du joueur" class="img-fluid"> -->
        <img src="{{getEquipeLogo(joueur)}}" alt="Photo du club du joueur" class="img-fluid">
        <h4 class="text-center">{{joueur.equipe!.nomLong}}</h4>
    </div>
   
</div> 
    <div class="card d-flex flex-row gap-2 justify-content-center" style="width: 100rem; border: none;">
            <a href="#" class="btn btn-primary" routerLink="/joueurliste">Retour</a>
           <button href="#" class="btn btn-primary" [disabled]="!formJoueur.valid" routerLink="../joueur-edition" (click)="valider()">Editer</button>
    </div>
</div>
